Random system freezes after 4.1 clean install

I can’t find a topic close to my issue. I have upgraded from 4.0 to 4.1 by clean install.

at random times specially when i am alt + tabbing between windows, the whole system freezes.
I cannot do anything except move my mouse cursor. mouse clicks do not look like it works.

What is the best way to get logs to see what happened?

i tried “journalctl -p 3 -x -b -2” but i don’t know what I’m looking for here

Post the output of lspci and lscpu here, so we at least know what hardware we’re dealing with.

OR

Do a Qubes HCL report and post it here (redacting any information you wish)

Instructions here:

Interesting…

add > journal.log to the end of that command and upload that log to this thread, so we can have a look.

OR

paste the contents in a post (mind you, it will be crazy stupid long…)

[admin@dom0 ~]$ lspci
00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Host Bridge/DRAM Registers (rev 08)
00:02.0 VGA compatible controller: Intel Corporation Skylake GT2 [HD Graphics 520] (rev 07)
00:14.0 USB controller: Intel Corporation Sunrise Point-LP USB 3.0 xHCI Controller (rev 21)
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-LP Thermal subsystem (rev 21)
00:15.0 Signal processing controller: Intel Corporation Sunrise Point-LP Serial IO I2C Controller #0 (rev 21)
00:15.1 Signal processing controller: Intel Corporation Sunrise Point-LP Serial IO I2C Controller #1 (rev 21)
00:16.0 Communication controller: Intel Corporation Sunrise Point-LP CSME HECI #1 (rev 21)
00:17.0 SATA controller: Intel Corporation Sunrise Point-LP SATA Controller [AHCI mode] (rev 21)
00:1c.0 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #5 (rev f1)
00:1c.5 PCI bridge: Intel Corporation Sunrise Point-LP PCI Express Root Port #6 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Sunrise Point-LP LPC Controller (rev 21)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-LP PMC (rev 21)
00:1f.3 Audio device: Intel Corporation Sunrise Point-LP HD Audio (rev 21)
00:1f.4 SMBus: Intel Corporation Sunrise Point-LP SMBus (rev 21)
01:00.0 Network controller: Intel Corporation Wireless 3160 (rev 83)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 0c)
[admin@dom0 ~]$ lscpu
Architecture: x86_64
CPU op-mode(s): 32-bit, 64-bit
Byte Order: Little Endian
Address sizes: 39 bits physical, 48 bits virtual
CPU(s): 2
On-line CPU(s) list: 0,1
Thread(s) per core: 2
Core(s) per socket: 1
Socket(s): 1
NUMA node(s): 1
Vendor ID: GenuineIntel
CPU family: 6
Model: 78
Model name: Intel(R) Core™ i7-6500U CPU @ 2.50GHz
Stepping: 3
CPU MHz: 2591.998
BogoMIPS: 5183.99
Hypervisor vendor: Xen
Virtualization type: full
L1d cache: 32 KiB
L1i cache: 32 KiB
L2 cache: 256 KiB
L3 cache: 4 MiB
NUMA node0 CPU(s): 0,1
Vulnerability Itlb multihit: REDACTED
Vulnerability L1tf: REDACTED
Vulnerability Mds: REDACTED
Vulnerability Meltdown: REDACTED
Vulnerability Mmio stale data: REDACTED
Vulnerability Spec store bypass: REDACTED
Vulnerability Spectre v1: REDACTED
Vulnerability Spectre v2: REDACTED
Vulnerability Srbds: REDACTED
Vulnerability Tsx async abort: REDACTED
Flags: fpu de tsc msr pae mce cx8 apic sep mca cmov pat clflush acpi mmx fxsr sse sse2 ss ht syscall nx rdtsc
p lm constant_tsc rep_good nopl nonstop_tsc cpuid tsc_known_freq pni pclmulqdq monitor est ssse3 fma c
x16 sse4_1 sse4_2 movbe popcnt aes xsave avx f16c rdrand hypervisor lahf_lm abm 3dnowprefetch cpuid_fa
ult ssbd ibrs ibpb stibp fsgsbase bmi1 avx2 bmi2 erms rdseed adx clflushopt xsaveopt xsavec xgetbv1 md
_clear arch_capabilities

Journalctl -p 3 -x -x -3 > journal.log

-- Logs begin at Mon 2022-08-15 06:26:46 EDT, end at Thu 2022-08-25 10:14:32 EDT. --
Aug 24 07:08:31 dom0 systemd-vconsole-setup[226]: /usr/bin/setfont failed with exit status 71.
Aug 24 07:08:34 dom0 systemd-vconsole-setup[419]: /usr/bin/setfont failed with exit status 71.
Aug 24 07:09:18 dom0 xenstored[1984]: Checking store ...
Aug 24 07:09:18 dom0 xenstored[1984]: Checking store complete.
Aug 24 07:09:51 dom0 libvirtd[1987]: internal error: Unable to reset PCI device 0000:00:14.0: no FLR, PM reset or bus reset available
Aug 24 07:10:38 dom0 pulseaudio[7770]: ALSA woke us up to write new data to the device, but there was actually nothing to write.
Aug 24 07:10:38 dom0 pulseaudio[7770]: Most likely this is a bug in the ALSA driver 'snd_hda_intel'. Please report this issue to the ALSA developers.
Aug 24 07:10:38 dom0 pulseaudio[7770]: We were woken up with POLLOUT set -- however a subsequent snd_pcm_avail() returned 0 or another value < min_avail.
Aug 24 07:13:42 dom0 qmemman.systemstate[1973]: Xen free = 79289612 too small for satisfy assignments! assigned_but_unused=66918093, domdict={'0': {'memory_current': 4172599296, 'memory_actual': 4189377589, 'memory_maximum': 4294967296, 'mem_used': 1054068736, 'id': '0', 'last_target': 4189377589, 'no_progress': False, 'slow_memset_react': False}, '1': {'memory_current': 297840640, 'memory_actual': 297840640, 'memory_maximum': 314572800, 'mem_used': None, 'id': '1', 'last_target': 297795584, 'no_progress': False, 'slow_memset_react': False}, '2': {'memory_current': 150994944, 'memory_actual': 150994944, 'memory_maximum': 150994944, 'mem_used': None, 'id': '2', 'last_target': 150994944, 'no_progress': False, 'slow_memset_react': False}, '3': {'memory_current': 402698240, 'memory_actual': 402698240, 'memory_maximum': 419430400, 'mem_used': None, 'id': '3', 'last_target': 402653184, 'no_progress': False, 'slow_memset_react': False}, '4': {'memory_current': 150994944, 'memory_actual': 150994944, 'memory_maximum': 150994944, 'mem_used': None, 'id': '4', 'last_target': 150994944, 'no_progress': False, 'slow_memset_react': False}, '5': {'memory_current': 3553685504, 'memory_actual': 3570399440, 'memory_maximum': 4194304000, 'mem_used': 470765568, 'id': '5', 'last_target': 3570399440, 'no_progress': False, 'slow_memset_react': False}, '6': {'memory_current': 3835637760, 'memory_actual': 3852351213, 'memory_maximum': 4194304000, 'mem_used': 520822784, 'id': '6', 'last_target': 3852351213, 'no_progress': False, 'slow_memset_react': False}, '7': {'memory_current': 3613577216, 'memory_actual': 3630289627, 'memory_maximum': 4194304000, 'mem_used': 481361920, 'id': '7', 'last_target': 3630289627, 'no_progress': False, 'slow_memset_react': False}, '8': {'memory_current': 419500032, 'memory_actual': 419500032, 'memory_maximum': 4194304000, 'mem_used': None, 'id': '8', 'last_target': 419430400, 'no_progress': False, 'slow_memset_react': False}}
Aug 24 07:13:42 dom0 qmemman.systemstate[1973]: Xen free = 79289612 too small for satisfy assignments! assigned_but_unused=66918093, domdict={'0': {'memory_current': 4172599296, 'memory_actual': 4189377589, 'memory_maximum': 4294967296, 'mem_used': 1054068736, 'id': '0', 'last_target': 4189377589, 'no_progress': False, 'slow_memset_react': False}, '1': {'memory_current': 297840640, 'memory_actual': 297840640, 'memory_maximum': 314572800, 'mem_used': None, 'id': '1', 'last_target': 297795584, 'no_progress': False, 'slow_memset_react': False}, '2': {'memory_current': 150994944, 'memory_actual': 150994944, 'memory_maximum': 150994944, 'mem_used': None, 'id': '2', 'last_target': 150994944, 'no_progress': False, 'slow_memset_react': False}, '3': {'memory_current': 402698240, 'memory_actual': 402698240, 'memory_maximum': 419430400, 'mem_used': None, 'id': '3', 'last_target': 402653184, 'no_progress': False, 'slow_memset_react': False}, '4': {'memory_current': 150994944, 'memory_actual': 150994944, 'memory_maximum': 150994944, 'mem_used': None, 'id': '4', 'last_target': 150994944, 'no_progress': False, 'slow_memset_react': False}, '5': {'memory_current': 3553685504, 'memory_actual': 3570399440, 'memory_maximum': 4194304000, 'mem_used': 470765568, 'id': '5', 'last_target': 3570399440, 'no_progress': False, 'slow_memset_react': False}, '6': {'memory_current': 3835637760, 'memory_actual': 3852351213, 'memory_maximum': 4194304000, 'mem_used': 520822784, 'id': '6', 'last_target': 3852351213, 'no_progress': False, 'slow_memset_react': False}, '7': {'memory_current': 3613577216, 'memory_actual': 3630289627, 'memory_maximum': 4194304000, 'mem_used': 481361920, 'id': '7', 'last_target': 3630289627, 'no_progress': False, 'slow_memset_react': False}, '8': {'memory_current': 419500032, 'memory_actual': 419500032, 'memory_maximum': 4194304000, 'mem_used': None, 'id': '8', 'last_target': 419430400, 'no_progress': False, 'slow_memset_react': False}}
Aug 24 07:13:42 dom0 qmemman.systemstate[1973]: Xen free = 136989884 too small for satisfy assignments! assigned_but_unused=161669911, domdict={'0': {'memory_current': 4172599296, 'memory_actual': 4294967296, 'memory_maximum': 4294967296, 'mem_used': 1033220096, 'id': '0', 'last_target': 4294967296, 'no_progress': False, 'slow_memset_react': False}, '1': {'memory_current': 297840640, 'memory_actual': 297840640, 'memory_maximum': 314572800, 'mem_used': None, 'id': '1', 'last_target': 297795584, 'no_progress': False, 'slow_memset_react': False}, '2': {'memory_current': 150994944, 'memory_actual': 150994944, 'memory_maximum': 150994944, 'mem_used': None, 'id': '2', 'last_target': 150994944, 'no_progress': False, 'slow_memset_react': False}, '3': {'memory_current': 402698240, 'memory_actual': 402698240, 'memory_maximum': 419430400, 'mem_used': None, 'id': '3', 'last_target': 402653184, 'no_progress': False, 'slow_memset_react': False}, '4': {'memory_current': 150994944, 'memory_actual': 150994944, 'memory_maximum': 150994944, 'mem_used': None, 'id': '4', 'last_target': 150994944, 'no_progress': False, 'slow_memset_react': False}, '5': {'memory_current': 3503243264, 'memory_actual': 3519957814, 'memory_maximum': 4194304000, 'mem_used': 470765568, 'id': '5', 'last_target': 3519957814, 'no_progress': False, 'slow_memset_react': False}, '6': {'memory_current': 3775119360, 'memory_actual': 3791831545, 'memory_maximum': 4194304000, 'mem_used': 520822784, 'id': '6', 'last_target': 3791831545, 'no_progress': False, 'slow_memset_react': False}, '7': {'memory_current': 3571634176, 'memory_actual': 3577509352, 'memory_maximum': 4194304000, 'mem_used': 481361920, 'id': '7', 'last_target': 3577509352, 'no_progress': False, 'slow_memset_react': False}, '8': {'memory_current': 419500032, 'memory_actual': 419500032, 'memory_maximum': 4194304000, 'mem_used': None, 'id': '8', 'last_target': 419430400, 'no_progress': False, 'slow_memset_react': False}}
Aug 24 07:13:42 dom0 qmemman.systemstate[1973]: Xen free = 136989884 too small for satisfy assignments! assigned_but_unused=161669911, domdict={'0': {'memory_current': 4172599296, 'memory_actual': 4294967296, 'memory_maximum': 4294967296, 'mem_used': 1033220096, 'id': '0', 'last_target': 4294967296, 'no_progress': False, 'slow_memset_react': False}, '1': {'memory_current': 297840640, 'memory_actual': 297840640, 'memory_maximum': 314572800, 'mem_used': None, 'id': '1', 'last_target': 297795584, 'no_progress': False, 'slow_memset_react': False}, '2': {'memory_current': 150994944, 'memory_actual': 150994944, 'memory_maximum': 150994944, 'mem_used': None, 'id': '2', 'last_target': 150994944, 'no_progress': False, 'slow_memset_react': False}, '3': {'memory_current': 402698240, 'memory_actual': 402698240, 'memory_maximum': 419430400, 'mem_used': None, 'id': '3', 'last_target': 402653184, 'no_progress': False, 'slow_memset_react': False}, '4': {'memory_current': 150994944, 'memory_actual': 150994944, 'memory_maximum': 150994944, 'mem_used': None, 'id': '4', 'last_target': 150994944, 'no_progress': False, 'slow_memset_react': False}, '5': {'memory_current': 3503243264, 'memory_actual': 3519957814, 'memory_maximum': 4194304000, 'mem_used': 470765568, 'id': '5', 'last_target': 3519957814, 'no_progress': False, 'slow_memset_react': False}, '6': {'memory_current': 3775119360, 'memory_actual': 3791831545, 'memory_maximum': 4194304000, 'mem_used': 520822784, 'id': '6', 'last_target': 3791831545, 'no_progress': False, 'slow_memset_react': False}, '7': {'memory_current': 3571634176, 'memory_actual': 3577509352, 'memory_maximum': 4194304000, 'mem_used': 481361920, 'id': '7', 'last_target': 3577509352, 'no_progress': False, 'slow_memset_react': False}, '8': {'memory_current': 419500032, 'memory_actual': 419500032, 'memory_maximum': 4194304000, 'mem_used': None, 'id': '8', 'last_target': 419430400, 'no_progress': False, 'slow_memset_react': False}}
Aug 24 07:22:09 dom0 systemd-coredump[10222]: Process 7712 (xss-lock) of user 1000 dumped core.
                                              
                                              Stack trace of thread 7712:
                                              #0  0x0000743c2a542fc2 g_logv (libglib-2.0.so.0 + 0x59fc2)
                                              #1  0x0000743c2a543233 g_log (libglib-2.0.so.0 + 0x5a233)
                                              #2  0x000055c758cc3be5 screensaver_event_cb (xss-lock + 0x4be5)
                                              #3  0x000055c758cc3cdf xcb_event_dispatch (xss-lock + 0x4cdf)
                                              #4  0x0000743c2a53b78f g_main_context_dispatch (libglib-2.0.so.0 + 0x5278f)
                                              #5  0x0000743c2a53bb18 g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0x52b18)
                                              #6  0x0000743c2a53be33 g_main_loop_run (libglib-2.0.so.0 + 0x52e33)
                                              #7  0x000055c758cc2ecd main (xss-lock + 0x3ecd)
                                              #8  0x0000743c2a309082 __libc_start_main (libc.so.6 + 0x27082)
                                              #9  0x000055c758cc302e _start (xss-lock + 0x402e)
                                              
                                              Stack trace of thread 7724:
                                              #0  0x0000743c2a3d886f __poll (libc.so.6 + 0xf686f)
                                              #1  0x0000743c2a53baae g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0x52aae)
                                              #2  0x0000743c2a53be33 g_main_loop_run (libglib-2.0.so.0 + 0x52e33)
                                              #3  0x0000743c2a78f6aa gdbus_shared_thread_func (libgio-2.0.so.0 + 0x1226aa)
                                              #4  0x0000743c2a5657f2 g_thread_proxy (libglib-2.0.so.0 + 0x7c7f2)
                                              #5  0x0000743c2a200432 start_thread (libpthread.so.0 + 0x9432)
                                              #6  0x0000743c2a3e36d3 __clone (libc.so.6 + 0x1016d3)
                                              
                                              Stack trace of thread 7716:
                                              #0  0x0000743c2a3d886f __poll (libc.so.6 + 0xf686f)
                                              #1  0x0000743c2a53baae g_main_context_iterate.constprop.0 (libglib-2.0.so.0 + 0x52aae)
                                              #2  0x0000743c2a53bbe3 g_main_context_iteration (libglib-2.0.so.0 + 0x52be3)
                                              #3  0x0000743c2a53bc31 glib_worker_main (libglib-2.0.so.0 + 0x52c31)
                                              #4  0x0000743c2a5657f2 g_thread_proxy (libglib-2.0.so.0 + 0x7c7f2)
                                              #5  0x0000743c2a200432 start_thread (libpthread.so.0 + 0x9432)
                                              #6  0x0000743c2a3e36d3 __clone (libc.so.6 + 0x1016d3)
-- Subject: Process 7712 (xss-lock) dumped core
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- Documentation: man:core(5)
-- 
-- Process 7712 (xss-lock) crashed and dumped core.
-- 
-- This usually indicates a programming error in the crashing program and
-- should be reported to its vendor as a bug.
Aug 24 07:22:14 dom0 qrexec-policy-e[10242]: error calling qrexec-policy-agent in dom0
                                             Traceback (most recent call last):
                                               File "/usr/lib/python3.8/site-packages/qrexec/tools/qrexec_policy_exec.py", line 133, in execute
                                                 await super().execute(caller_ident)
                                               File "/usr/lib/python3.8/site-packages/qrexec/policy/parser.py", line 556, in execute
                                                 raise ExecutionFailed('qrexec-client failed: {}'.format(command))
                                             qrexec.exc.ExecutionFailed: qrexec-client failed: ['/usr/lib/qubes/qrexec-client', '-d', 'dom0', '-c', 'SOCKET12,sys-net,3', '-E', 'QUBESRPC qubes.WindowIconUpdater+ sys-net keyword adminvm']
                                             
                                             During handling of the above exception, another exception occurred:
                                             
                                             Traceback (most recent call last):
                                               File "/usr/lib/python3.8/site-packages/qrexec/tools/qrexec_policy_exec.py", line 151, in notify
                                                 await call_socket_service(guivm, service, source_domain, params)
                                               File "/usr/lib/python3.8/site-packages/qrexec/server.py", line 105, in call_socket_service_local
                                                 reader, writer = await asyncio.open_unix_connection(path)
                                               File "/usr/lib64/python3.8/asyncio/streams.py", line 111, in open_unix_connection
                                                 transport, _ = await loop.create_unix_connection(
                                               File "/usr/lib64/python3.8/asyncio/unix_events.py", line 244, in create_unix_connection
                                                 await self.sock_connect(sock, path)
                                               File "/usr/lib64/python3.8/asyncio/selector_events.py", line 496, in sock_connect
                                                 return await fut
                                               File "/usr/lib64/python3.8/asyncio/selector_events.py", line 501, in _sock_connect
                                                 sock.connect(address)
                                             ConnectionRefusedError: [Errno 111] Connection refused
Aug 24 07:22:14 dom0 qrexec[10242]: qubes.WindowIconUpdater: sys-net -> dom0: error while executing: qrexec-client failed: ['/usr/lib/qubes/qrexec-client', '-d', 'dom0', '-c', 'SOCKET12,sys-net,3', '-E', 'QUBESRPC qubes.WindowIconUpdater+ sys-net keyword adminvm']
Aug 24 07:22:15 dom0 qrexec-policy-e[10224]: error calling qrexec-policy-agent in dom0
                                             Traceback (most recent call last):
                                               File "/usr/lib/python3.8/site-packages/qrexec/tools/qrexec_policy_exec.py", line 133, in execute
                                                 await super().execute(caller_ident)
                                               File "/usr/lib/python3.8/site-packages/qrexec/policy/parser.py", line 556, in execute
                                                 raise ExecutionFailed('qrexec-client failed: {}'.format(command))
                                             qrexec.exc.ExecutionFailed: qrexec-client failed: ['/usr/lib/qubes/qrexec-client', '-d', 'dom0', '-c', 'SOCKET12,sys-whonix,6', '-E', 'QUBESRPC qubes.WindowIconUpdater+ sys-whonix keyword adminvm']
                                             
                                             During handling of the above exception, another exception occurred:
                                             
                                             Traceback (most recent call last):
                                               File "/usr/lib/python3.8/site-packages/qrexec/tools/qrexec_policy_exec.py", line 151, in notify
                                                 await call_socket_service(guivm, service, source_domain, params)
                                               File "/usr/lib/python3.8/site-packages/qrexec/server.py", line 105, in call_socket_service_local
                                                 reader, writer = await asyncio.open_unix_connection(path)
                                               File "/usr/lib64/python3.8/asyncio/streams.py", line 111, in open_unix_connection
                                                 transport, _ = await loop.create_unix_connection(
                                               File "/usr/lib64/python3.8/asyncio/unix_events.py", line 244, in create_unix_connection
                                                 await self.sock_connect(sock, path)
                                               File "/usr/lib64/python3.8/asyncio/selector_events.py", line 496, in sock_connect
                                                 return await fut
                                               File "/usr/lib64/python3.8/asyncio/selector_events.py", line 501, in _sock_connect
                                                 sock.connect(address)
                                             ConnectionRefusedError: [Errno 111] Connection refused
Aug 24 07:22:15 dom0 qrexec[10224]: qubes.WindowIconUpdater: sys-whonix -> dom0: error while executing: qrexec-client failed: ['/usr/lib/qubes/qrexec-client', '-d', 'dom0', '-c', 'SOCKET12,sys-whonix,6', '-E', 'QUBESRPC qubes.WindowIconUpdater+ sys-whonix keyword adminvm']
Aug 24 07:22:15 dom0 qrexec-policy-e[10226]: error calling qrexec-policy-agent in dom0
                                             Traceback (most recent call last):
                                               File "/usr/lib/python3.8/site-packages/qrexec/tools/qrexec_policy_exec.py", line 133, in execute
                                                 await super().execute(caller_ident)
                                               File "/usr/lib/python3.8/site-packages/qrexec/policy/parser.py", line 556, in execute
                                                 raise ExecutionFailed('qrexec-client failed: {}'.format(command))
                                             qrexec.exc.ExecutionFailed: qrexec-client failed: ['/usr/lib/qubes/qrexec-client', '-d', 'dom0', '-c', 'SOCKET12,***REDACTED***,8', '-E', 'QUBESRPC qubes.WindowIconUpdater+ ***REDACTED*** keyword adminvm']
                                             
                                             During handling of the above exception, another exception occurred:
                                             
                                             Traceback (most recent call last):
                                               File "/usr/lib/python3.8/site-packages/qrexec/tools/qrexec_policy_exec.py", line 151, in notify
                                                 await call_socket_service(guivm, service, source_domain, params)
                                               File "/usr/lib/python3.8/site-packages/qrexec/server.py", line 105, in call_socket_service_local
                                                 reader, writer = await asyncio.open_unix_connection(path)
                                               File "/usr/lib64/python3.8/asyncio/streams.py", line 111, in open_unix_connection
                                                 transport, _ = await loop.create_unix_connection(
                                               File "/usr/lib64/python3.8/asyncio/unix_events.py", line 244, in create_unix_connection
                                                 await self.sock_connect(sock, path)
                                               File "/usr/lib64/python3.8/asyncio/selector_events.py", line 496, in sock_connect
                                                 return await fut
                                               File "/usr/lib64/python3.8/asyncio/selector_events.py", line 501, in _sock_connect
                                                 sock.connect(address)
                                             ConnectionRefusedError: [Errno 111] Connection refused
Aug 24 07:22:15 dom0 qrexec[10226]: qubes.WindowIconUpdater: ***REDACTED*** -> dom0: error while executing: qrexec-client failed: ['/usr/lib/qubes/qrexec-client', '-d', 'dom0', '-c', 'SOCKET12,***REDACTED***,8', '-E', 'QUBESRPC qubes.WindowIconUpdater+ ***REDACTED*** keyword adminvm']
Aug 24 07:22:15 dom0 qrexec-policy-e[10231]: error calling qrexec-policy-agent in dom0
                                             Traceback (most recent call last):
                                               File "/usr/lib/python3.8/site-packages/qrexec/tools/qrexec_policy_exec.py", line 133, in execute
                                                 await super().execute(caller_ident)
                                               File "/usr/lib/python3.8/site-packages/qrexec/policy/parser.py", line 556, in execute
                                                 raise ExecutionFailed('qrexec-client failed: {}'.format(command))
                                             qrexec.exc.ExecutionFailed: qrexec-client failed: ['/usr/lib/qubes/qrexec-client', '-d', 'dom0', '-c', 'SOCKET12,sys-firewall,5', '-E', 'QUBESRPC qubes.WindowIconUpdater+ sys-firewall keyword adminvm']
                                             
                                             During handling of the above exception, another exception occurred:
                                             
                                             Traceback (most recent call last):
                                               File "/usr/lib/python3.8/site-packages/qrexec/tools/qrexec_policy_exec.py", line 151, in notify
                                                 await call_socket_service(guivm, service, source_domain, params)
                                               File "/usr/lib/python3.8/site-packages/qrexec/server.py", line 105, in call_socket_service_local
                                                 reader, writer = await asyncio.open_unix_connection(path)
                                               File "/usr/lib64/python3.8/asyncio/streams.py", line 111, in open_unix_connection
                                                 transport, _ = await loop.create_unix_connection(
                                               File "/usr/lib64/python3.8/asyncio/unix_events.py", line 244, in create_unix_connection
                                                 await self.sock_connect(sock, path)
                                               File "/usr/lib64/python3.8/asyncio/selector_events.py", line 496, in sock_connect
                                                 return await fut
                                               File "/usr/lib64/python3.8/asyncio/selector_events.py", line 501, in _sock_connect
                                                 sock.connect(address)
                                             ConnectionRefusedError: [Errno 111] Connection refused
Aug 24 07:22:15 dom0 qrexec[10231]: qubes.WindowIconUpdater: sys-firewall -> dom0: error while executing: qrexec-client failed: ['/usr/lib/qubes/qrexec-client', '-d', 'dom0', '-c', 'SOCKET12,sys-firewall,5', '-E', 'QUBESRPC qubes.WindowIconUpdater+ sys-firewall keyword adminvm']
Aug 24 07:22:15 dom0 qrexec-policy-e[10225]: error calling qrexec-policy-agent in dom0
                                             Traceback (most recent call last):
                                               File "/usr/lib/python3.8/site-packages/qrexec/tools/qrexec_policy_exec.py", line 133, in execute
                                                 await super().execute(caller_ident)
                                               File "/usr/lib/python3.8/site-packages/qrexec/policy/parser.py", line 556, in execute
                                                 raise ExecutionFailed('qrexec-client failed: {}'.format(command))
                                             qrexec.exc.ExecutionFailed: qrexec-client failed: ['/usr/lib/qubes/qrexec-client', '-d', 'dom0', '-c', 'SOCKET12,***REDACTED2***,7', '-E', 'QUBESRPC qubes.WindowIconUpdater+ ***REDACTED2*** keyword adminvm']
                                             
                                             During handling of the above exception, another exception occurred:
                                             
                                             Traceback (most recent call last):
                                               File "/usr/lib/python3.8/site-packages/qrexec/tools/qrexec_policy_exec.py", line 151, in notify
                                                 await call_socket_service(guivm, service, source_domain, params)
                                               File "/usr/lib/python3.8/site-packages/qrexec/server.py", line 105, in call_socket_service_local
                                                 reader, writer = await asyncio.open_unix_connection(path)
                                               File "/usr/lib64/python3.8/asyncio/streams.py", line 111, in open_unix_connection
                                                 transport, _ = await loop.create_unix_connection(
                                               File "/usr/lib64/python3.8/asyncio/unix_events.py", line 244, in create_unix_connection
                                                 await self.sock_connect(sock, path)
                                               File "/usr/lib64/python3.8/asyncio/selector_events.py", line 496, in sock_connect
                                                 return await fut
                                               File "/usr/lib64/python3.8/asyncio/selector_events.py", line 501, in _sock_connect
                                                 sock.connect(address)
                                             ConnectionRefusedError: [Errno 111] Connection refused
Aug 24 07:22:15 dom0 qrexec[10225]: qubes.WindowIconUpdater: ***REDACTED2*** -> dom0: error while executing: qrexec-client failed: ['/usr/lib/qubes/qrexec-client', '-d', 'dom0', '-c', 'SOCKET12,***REDACTED2***,7', '-E', 'QUBESRPC qubes.WindowIconUpdater+ ***REDACTED2*** keyword adminvm']
Aug 24 07:22:15 dom0 qrexec-policy-e[10264]: error calling qrexec-policy-agent in dom0
                                             Traceback (most recent call last):
                                               File "/usr/lib/python3.8/site-packages/qrexec/tools/qrexec_policy_exec.py", line 133, in execute
                                                 await super().execute(caller_ident)
                                               File "/usr/lib/python3.8/site-packages/qrexec/policy/parser.py", line 556, in execute
                                                 raise ExecutionFailed('qrexec-client failed: {}'.format(command))
                                             qrexec.exc.ExecutionFailed: qrexec-client failed: ['/usr/lib/qubes/qrexec-client', '-d', 'dom0', '-c', 'SOCKET12,sys-usb,1', '-E', 'QUBESRPC qubes.WindowIconUpdater+ sys-usb keyword adminvm']
                                             
                                             During handling of the above exception, another exception occurred:
                                             
                                             Traceback (most recent call last):
                                               File "/usr/lib/python3.8/site-packages/qrexec/tools/qrexec_policy_exec.py", line 151, in notify
                                                 await call_socket_service(guivm, service, source_domain, params)
                                               File "/usr/lib/python3.8/site-packages/qrexec/server.py", line 105, in call_socket_service_local
                                                 reader, writer = await asyncio.open_unix_connection(path)
                                               File "/usr/lib64/python3.8/asyncio/streams.py", line 111, in open_unix_connection
                                                 transport, _ = await loop.create_unix_connection(
                                               File "/usr/lib64/python3.8/asyncio/unix_events.py", line 244, in create_unix_connection
                                                 await self.sock_connect(sock, path)
                                               File "/usr/lib64/python3.8/asyncio/selector_events.py", line 496, in sock_connect
                                                 return await fut
                                               File "/usr/lib64/python3.8/asyncio/selector_events.py", line 501, in _sock_connect
                                                 sock.connect(address)
                                             ConnectionRefusedError: [Errno 111] Connection refused
Aug 24 07:22:15 dom0 qrexec[10264]: qubes.WindowIconUpdater: sys-usb -> dom0: error while executing: qrexec-client failed: ['/usr/lib/qubes/qrexec-client', '-d', 'dom0', '-c', 'SOCKET12,sys-usb,1', '-E', 'QUBESRPC qubes.WindowIconUpdater+ sys-usb keyword adminvm']
Aug 24 07:22:34 dom0 libvirtd[1987]: internal error: Unable to reset PCI device 0000:00:14.0: no FLR, PM reset or bus reset available
Aug 24 07:22:54 dom0 systemd-cryptsetup[12754]: Device luks-b62932d3-916a-4028-85eb-7ceb039d0c7b is still in use.
Aug 24 07:22:54 dom0 systemd-cryptsetup[12754]: Failed to deactivate: Device or resource busy
Aug 24 07:22:54 dom0 systemd[1]: Failed unmounting mount xenstore file system.
-- Subject: A stop job for unit var-lib-xenstored.mount has finished
-- Defined-By: systemd
-- Support: https://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- A stop job for unit var-lib-xenstored.mount has finished.
-- 
-- The job identifier is 3733 and the job result is failed.

I have downgraded my kernel after the last freeze yesterday from 5.15.57-1.fc32.qubes.x86_64 to Linux 5.15.52-1.fc32.qubes.x86_64 and so far no issues.

this is my current specs

---
layout:
  'hcl'
type:
  'notebook
docking station'
hvm:
  'yes'
iommu:
  'yes'
slat:
  'yes'
tpm:
  'unknown'
remap:
  'yes'
brand: |
  Dell Inc.
model: |
  Vostro 3459
bios: |
  1.4.1
cpu: |
  Intel(R) Core(TM) i7-6500U CPU @ 2.50GHz
cpu-short: |
  FIXME
chipset: |
  Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Host Bridge/DRAM Registers [8086:1904] (rev 08)
chipset-short: |
  FIXME
gpu: |
  Intel Corporation Skylake GT2 [HD Graphics 520] [8086:1916] (rev 07) (prog-if 00 [VGA controller])
gpu-short: |
  FIXME
network: |
  Intel Corporation Wireless 3160 (rev 83)
  Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 0c)
memory: |
  16275
scsi: |
  Samsung SSD 860  Rev: 4B6Q
usb: |
  1
versions:

- works:
    'FIXME:yes|no|partial'
  qubes: |
    R4.1
  xen: |
    4.14.5
  kernel: |
    5.15.52-1
  remark: |
    FIXME
  credit: |
    FIXAUTHOR
  link: |
    FIXLINK

---

Very nice hardware specs, by the way. Im a little jealous. That baby must purr nicely :wink:

Interesting….

That’s great that the previous kernel doesn’t have the same issues, but it’s very curious as to why.

——-

Any chance you can edit your posts with the logs in them and put “```” on its own line at the top and bottom of the journal log? :slightly_smiling_face:

I’m not being picky. It’s just that not doing this will cause Markdown to potentially think some symbols are formatting symbols, and may hide some valuable information.

It’ll also make finding a solution for you much quicker.

Thanks in advance!

—-

The xenstore daemon and the Qubes memory management daemon seem to be the culprit, so these logs are definitely a good start :slight_smile:

Thanks for the “```” tip! I wondered how I could do that earlier.

The xenstore daemon and the Qubes memory management daemon seem to be the culprit, so these logs are definitely a good start :slight_smile:

Is there anything i can do?